## org.apache.cocoon.framework
Interface Actor

All Known Subinterfaces:
  Cache, Factory, Interpreter, Processor, Producer, Transformer

All Known Implementing Classes:
  AbstractActor, FO2PDFFormatter, Manager, Profiler, XSLTProcessor

public interface Actor

This interface must be implemented by all acting classes. These are those classes that must be aware of other actors in in order to complete their jobs.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:21 $
Author:
  Stefano Mazzocchi

Method Summary
`void` `init(Director director)` Initialize the actor by indicating their director.

Method Detail

### init

    public void init(Director director)

  Initialize the actor by indicating their director.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.